<?php

class TbigrpaymentUpdateorderModuleFrontController extends ModuleFrontController

{

	public $result = array();

	

	public function initContent()

	{

		$this->ajax = true;

		$this->result['success'] = 'unsuccess';

		

		$tbigr_unicid = (string)Configuration::get('credittbigr_unicid');

		

		if (null !== Tools::getValue('order_id')) {

			$tbigr_order_id = Tools::getValue('order_id');

		} else {

			$tbigr_order_id = '';

		}

		if (null !== Tools::getValue('status')) {

			$tbigr_status = Tools::getValue('status');

		} else {

			$tbigr_status = '';

		}

		if (null !== Tools::getValue('calculator_id')) {

			$tbigr_calculator_id = Tools::getValue('calculator_id');

		} else {

			$tbigr_calculator_id = '';

		}

		

		if (($tbigr_calculator_id != '') && ($tbigr_unicid == $tbigr_calculator_id)){

			if (file_exists(_PS_MODULE_DIR_ . 'tbigrpayment/keys/tbigrorders.json')) {

				$orderdata = file_get_contents(_PS_MODULE_DIR_ . 'tbigrpayment/keys/tbigrorders.json');

				$tbigr_orderdata_all = json_decode($orderdata, true);

				foreach ($tbigr_orderdata_all as $key => $value){

					if ($tbigr_orderdata_all[$key]['order_id'] == $tbigr_order_id){

						$tbigr_orderdata_all[$key]['order_status'] = $tbigr_status;

					}

				}

				$jsondata = json_encode($tbigr_orderdata_all);

				file_put_contents(_PS_MODULE_DIR_ . 'tbigrpayment/keys/tbigrorders.json', $jsondata);

				$this->result['success'] = 'success';

			}

		}

		

		$this->result['tbigr_order_id'] = $tbigr_order_id;

		$this->result['tbigr_status'] = $tbigr_status;

		$this->result['tbigr_calculator_id'] = $tbigr_calculator_id;	

		

		parent::initContent();

	}

	

	public function initHeader(){

		header('Access-Control-Allow-Origin: https://calc.tbibank.gr');

		return parent::initHeader();

	}

	

	public function displayAjax()

	{

		die(Tools::jsonEncode($this->result));

	}

}